# Class MenuEvent

java.lang.Object
java.util.EventObject
javax.swing.event.MenuEvent

All Implemented Interfaces:
  `Serializable`

public class MenuEvent extends EventObject
MenuEvent is used to notify interested parties that the menu which is the event source has been posted, selected, or canceled.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans has been added to the `java.beans` package. Please see `XMLEncoder`.

## Field Summary

### Fields declared in class EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`MenuEvent(Object source)`
Constructs a MenuEvent object.

## Method Summary

### Methods declared in class EventObject

`getSource, toString`

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MenuEvent

public MenuEvent(Object source)
Constructs a MenuEvent object.

Parameters:
  `source` - the Object that originated the event (typically `this`)